#!/usr/bin/env python
import sys, pygame
import controller
from .model import images

def splash(screen, image):
    bg, rect = images.get_image(image)
    screen.blit(bg, (0, 0))
    clock = pygame.time.Clock()
    pygame.display.flip()
    while True:
        #get pressed keys
        keys = pygame.key.get_pressed()
        #check for Alt-F4
        if ((keys[pygame.K_RALT] or keys[pygame.K_LALT]) and keys[pygame.K_F4]) or keys[pygame.K_ESCAPE]:
            sys.exit()
        cont = True
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                sys.exit()
            elif (event.type == pygame.KEYUP
                    and (event.key == pygame.K_w
                            or event.key == pygame.K_a
                            or event.key == pygame.K_s
                            or event.key == pygame.K_d)):
                        cont = False
        if not cont:
            break
        clock.tick(60)

def main(argv):
    pygame.init()
    size = width, height = 1024, 768
    screen = pygame.display.set_mode(size)
    black = 0, 0, 0

    splash(screen, 'title')
    splash(screen, 'plot')

    c = controller.Controller('testmap.txt')
    c.run(screen)
