import pygame
from . import images
from direction import Direction
from strength import Strength

VELOCITY = 20

class Fire(pygame.sprite.Sprite):
    def __init__(self, start, direction, charge):
        pygame.sprite.Sprite.__init__(self)
        if charge < 20:
            self.image, self.rect = images.get_image('fire1-1')
            self.__strength = Strength.WEAK
        elif charge < 30:
            self.image, self.rect = images.get_image('fire2-1')
            self.__strength = Strength.MED
        else:
            self.image, self.rect = images.get_image('fire3-1')
            self.__strength = Strength.STRONG
        self.rect.centerx = start[0]
        self.rect.centery = start[1]
        self.__direction = direction
        self.__animation = 1

    def __reposition_fire(self):
        if direction == Direction.UP:
            self.rect.top -= VELOCITY
        elif direction == Direction.RIGHT:
            self.rect.left += VELOCITY
        elif direction == Direction.DOWN:
            self.rect.top += VELOCITY
        else:
            self.rect.left -= VELOCITY

    def get_strength(self):
        return self.__strength

    def update(self):
        if self.__direction == Direction.UP:
            self.rect.top -= VELOCITY
        elif self.__direction == Direction.RIGHT:
            self.rect.left += VELOCITY
        elif self.__direction == Direction.DOWN:
            self.rect.top += VELOCITY
        else:
            self.rect.left -= VELOCITY
        #animations
        oldcenter = self.rect.center
        if self.__strength == Strength.WEAK:
            if self.__animation == 1:
                self.__animation = 2
                self.image, self.rect = images.get_image('fire1-2')
            elif self.__animation == 2:
                self.__animation = 3
                self.image, self.rect = images.get_image('fire1-3')
            else:
                self.__animation = 1
                self.image, self.rect = images.get_image('fire1-1')
        elif self.__strength == Strength.MED:
            if self.__animation == 1:
                self.__animation = 2
                self.image, self.rect = images.get_image('fire2-2')
            elif self.__animation == 2:
                self.__animation = 3
                self.image, self.rect = images.get_image('fire2-3')
            else:
                self.__animation = 1
                self.image, self.rect = images.get_image('fire2-1')
        else:
            if self.__animation == 1:
                self.__animation = 2
                self.image, self.rect = images.get_image('fire3-2')
            elif self.__animation == 2:
                self.__animation = 3
                self.image, self.rect = images.get_image('fire3-3')
            else:
                self.__animation = 1
                self.image, self.rect = images.get_image('fire3-1')
        self.rect = self.image.get_rect()
        self.rect.center = oldcenter
        
