import pygame
import images
import sound


class Wall(pygame.sprite.Sprite):

    """
    A wall
    """

    def __init__(self):
        pygame.sprite.Sprite.__init__(self)
        self.image, self.rect = images.get_image('building1')
        self.__health = 40
        self._damage_taken = 0
        self.__die_sound = sound.get_sound('building')
        self.dead = False

    def damage(self, damage):
        self.__health -= damage

    def update(self):
        if 0 < self.__health <= 20:
            self.image, rect = images.get_image('building2')
        elif self.__health <= 0 and not self.dead:
            self.image, rect = images.get_image('building3')
            self.__die_sound.play()
            self.dead = True
